PHP-инклюдинг в e107 Chat

Дата публикации:
21.04.2008
Всего просмотров:
1759
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Chat 6.x (модуль к e107)
Уязвимые версии: e107 Chat 6.8.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "e107path" в сценарии 123flashchat.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/123flashchat.php?e107path=[file]

URL производителя: www.123flashchat.com/e107-chat.html

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA